﻿using System.Media;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Interactivity;

namespace ZadanieTextBoxRolkaMyszy
{
    public class ZmianaRozmiaruCzcionki : Behavior<Control>
    {
        protected override void OnAttached()
        {
            AssociatedObject.PreviewMouseWheel += AssociatedObject_MouseWheel;
        }

        private void AssociatedObject_MouseWheel(object sender, MouseWheelEventArgs e)
        {
            if (Keyboard.IsKeyDown(Key.LeftCtrl))
            {
                e.Handled = true;
                AssociatedObject.FontSize *= (e.Delta > 0) ? 1.1 : 0.9;                
            }
        }
    }

    public class DźwiękPrzyNaciśnięciuKlawiszy : Behavior<TextBox>
    {
        protected override void OnAttached()
        {
            AssociatedObject.KeyDown += AssociatedObject_KeyDown;
        }

        private void AssociatedObject_KeyDown(object sender, KeyEventArgs e)
        {
            SystemSounds.Beep.Play();
        }
    }
}
